OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.InternalformatSampleQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVInternalformatSampleQuery :: MonadIO m => m Bool
- gl_NV_internalformat_sample_query :: Bool
- gl_CONFORMANT_NV :: GLenum
- gl_MULTISAMPLES_NV :: GLenum
- gl_RENDERBUFFER :: GLenum
- gl_SUPERSAMPLE_SCALE_X_NV :: GLenum
- gl_SUPERSAMPLE_SCALE_Y_NV :: GLenum
- gl_TEXTURE_2D_MULTISAMPLE :: GLenum
- gl_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum
- glGetInternalformatSampleivNV :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLenum -> GLsizei -> Ptr GLint -> m ()

# Extension Support

glGetNVInternalformatSampleQuery :: MonadIO m => m Bool

Is the NV_internalformat_sample_query extension supported?

gl_NV_internalformat_sample_query :: Bool

Is the NV_internalformat_sample_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVInternalformatSampleQuery` in those cases instead.

# Enums

gl_CONFORMANT_NV :: GLenum

gl_MULTISAMPLES_NV :: GLenum

gl_RENDERBUFFER :: GLenum

gl_SUPERSAMPLE_SCALE_X_NV :: GLenum

gl_SUPERSAMPLE_SCALE_Y_NV :: GLenum

gl_TEXTURE_2D_MULTISAMPLE :: GLenum

gl_TEXTURE_2D_MULTISAMPLE_ARRAY :: GLenum

# Functions

glGetInternalformatSampleivNV

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `internalformat`.
-> GLsizei | `samples`.
-> GLenum | `pname`.
-> GLsizei | `bufSize`.
-> Ptr GLint | `params` pointing to `bufSize` elements of type `GLint`.
-> m () |